metadata:
  name: apparmor-ofono
  format: "Apertis Test Definition 1.0"
  image-types:
    hmi:     [ armhf, amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: manual
  priority: medium
  maintainer: "Apertis Project"
  description: "Test that AppArmor profiles provided in ofono package work
                without unexpected auditd log entries."

  resources:
    - "A 3G modem connected."

  macro_ostree_preconditions:
    reponame: ofono
    branch: apertis/v2022dev3
  
  expected:
    - "A list of executed test with related result (as pass/fail/skip) will be
       shown on console, similar to the following:"
    - |
        >ofonod-normal.expected: pass
    - "When all test cases will pass you will be shown the following message:"
    - |
        ># apparmor-ofono: all tests passed
    - "When either one or more test fails it you will be shown the following message:"
    - |
        ># apparmor-ofono: at least one test failed

  notes:
    - "ofonod-malicous test might (and will, so far) segfault. This is normal and
       does not preclude the test, which shall pass anyway. If the 3G modem is not
       connected, the TC might pass (any of the tests in it), but it would be a
       meaningless test. Be sure that a 3G modem is connected for a meaningful
       test."

run:
  steps:
    - "Execute the following command:"
    - $ sudo ./run-test.sh
